<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/config:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/config:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="basetype.xsd" namespace="http://www.h3c.com/netconf/base:1.0"></xs:import>
  <xs:annotation>
    <xs:documentation>
      VCF module config definition.
    </xs:documentation>
  </xs:annotation>
  <xs:element name="VCF">
    <xs:complexType>
      <xs:choice minOccurs="0">
        <xs:element name="Role" minOccurs="0">
          <xs:annotation>
            <xs:documentation>VCF Role table.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="Name" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>Full name of role.</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:String">
                      <xs:minLength value="1"/>
                      <xs:maxLength value="63"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="Underlay" minOccurs="0">
          <xs:annotation>
            <xs:documentation>VCF Underlay table.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="PauseStatus" nillable="true" minOccurs="0" type="base:Boolean">
                <xs:annotation>
                  <xs:documentation>auto underlay status.</xs:documentation>
                </xs:annotation>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>
